import{s as nh,n as dh,o as ah}from"../chunks/scheduler.b108d059.js";import{S as hh,i as uh,g as i,s as r,u as c,A as ch,h as s,f as t,c as n,j as a,v as p,y as u,k as d,o as h,a as o,w as f,d as m,t as v,x as b}from"../chunks/index.a9288bc5.js";import{I as _}from"../chunks/IconCopyLink.9df037eb.js";function ph(Cn){let g,Po,Vl,Ho,ve,$o,w,J,Gl,be,tn,Hl,Ln="utils/hub",xo,_e,Mn='Utility functions to interact with the Hugging Face Hub (<a href="https://huggingface.co/models" rel="nofollow">https://huggingface.co/models</a>)',Co,ge,Rn='<li><a href="#module_utils/hub">utils/hub</a><ul><li><em>static</em><ul><li><a href="#module_utils/hub.getFile"><code>.getFile(urlOrPath)</code></a> ⇒ <code>Promise.&lt;(FileResponse|Response)&gt;</code></li> <li><a href="#module_utils/hub.getModelFile"><code>.getModelFile(path_or_repo_id, filename, [fatal], [options])</code></a> ⇒ <code>Promise</code><ul><li><a href="#module_utils/hub.getModelFile..cacheKey"><code>~cacheKey</code></a> : <code>string</code></li> <li><a href="#module_utils/hub.getModelFile..response"><code>~response</code></a> : <code>Response</code> | <code>FileResponse</code> | <code>undefined</code></li></ul></li> <li><a href="#module_utils/hub.getModelJSON"><code>.getModelJSON(modelPath, fileName, [fatal], [options])</code></a> ⇒ <code>Promise.&lt;Object&gt;</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_utils/hub..FileResponse">~FileResponse</a><ul><li><a href="#new_module_utils/hub..FileResponse_new"><code>new FileResponse(filePath)</code></a></li> <li><a href="#module_utils/hub..FileResponse+_CONTENT_TYPE_MAP"><code>._CONTENT_TYPE_MAP</code></a></li> <li><a href="#module_utils/hub..FileResponse+updateContentType"><code>.updateContentType()</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/hub..FileResponse+clone"><code>.clone()</code></a> ⇒ <code>FileResponse</code></li> <li><a href="#module_utils/hub..FileResponse+arrayBuffer"><code>.arrayBuffer()</code></a> ⇒ <code>Promise.&lt;ArrayBuffer&gt;</code></li> <li><a href="#module_utils/hub..FileResponse+blob"><code>.blob()</code></a> ⇒ <code>Promise.&lt;Blob&gt;</code></li> <li><a href="#module_utils/hub..FileResponse+text"><code>.text()</code></a> ⇒ <code>Promise.&lt;string&gt;</code></li> <li><a href="#module_utils/hub..FileResponse+json"><code>.json()</code></a> ⇒ <code>Promise.&lt;Object&gt;</code></li></ul></li> <li><a href="#module_utils/hub..FileCache">~FileCache</a><ul><li><a href="#new_module_utils/hub..FileCache_new"><code>new FileCache(path)</code></a></li> <li><a href="#module_utils/hub..FileCache+match"><code>.match(request)</code></a> ⇒ <code>Promise.&lt;(FileResponse|undefined)&gt;</code></li> <li><a href="#module_utils/hub..FileCache+put"><code>.put(request, response)</code></a> ⇒ <code>Promise.&lt;void&gt;</code></li></ul></li> <li><a href="#module_utils/hub..isValidHttpUrl"><code>~isValidHttpUrl(string, [validHosts])</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/hub..handleError"><code>~handleError(status, remoteURL, fatal)</code></a> ⇒ <code>null</code></li> <li><a href="#module_utils/hub..tryCache"><code>~tryCache(cache, ...names)</code></a> ⇒ <code>Promise.&lt;(FileResponse|Response|undefined)&gt;</code></li> <li><a href="#module_utils/hub..readResponse"><code>~readResponse(response, progress_callback)</code></a> ⇒ <code>Promise.&lt;Uint8Array&gt;</code></li> <li><a href="#module_utils/hub..pathJoin"><code>~pathJoin(...parts)</code></a> ⇒ <code>string</code></li> <li><a href="#module_utils/hub..PretrainedOptions"><code>~PretrainedOptions</code></a> : <code>Object</code></li></ul></li></ul></li>',Lo,Mo,Ro,we,Ao,T,D,Ql,Te,ln,$l,An="<code>utils/hub.getFile(urlOrPath)</code> ⇒ <code>Promise.&lt;(FileResponse|Response)&gt;</code>",Eo,ye,En="Helper function to get a file, using either the Fetch API or FileSystem API.",Fo,Pe,Fn='<strong>Kind</strong>: static method of <a href="#module_utils/hub"><code>utils/hub</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;(FileResponse|Response)&gt;</code> - A promise that resolves to a FileResponse object (if the file is retrieved using the FileSystem API), or a Response object (if the file is retrieved using the Fetch API).',ko,He,kn="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>urlOrPath</td><td><code>URL</code> | <code>string</code></td><td><p>The URL/path of the file to get.</p></td></tr></tbody>",No,jo,So,$e,Oo,y,W,Xl,xe,on,xl,Nn="<code>utils/hub.getModelFile(path_or_repo_id, filename, [fatal], [options])</code> ⇒ <code>Promise</code>",Uo,Ce,jn=`Retrieves a file from either a remote URL using the Fetch API or from the local file system using the FileSystem API.
If the filesystem is available and <code>env.useCache = true</code>, the file will be downloaded and cached.`,Bo,Le,Sn='<strong>Kind</strong>: static method of <a href="#module_utils/hub"><code>utils/hub</code></a><br/> <strong>Returns</strong>: <code>Promise</code> - A Promise that resolves with the file content as a buffer.<br/> <strong>Throws</strong>:',qo,Me,On="<li>Will throw an error if the file is not found and <code>fatal</code> is true.</li>",Ko,Re,Un="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>path_or_repo_id</td><td><code>string</code></td><td></td><td><p>This can be either:</p> <ul><li>a string, the <em>model id</em> of a model repo on huggingface.co.</li> <li>a path to a <em>directory</em> potentially containing the file.</li></ul></td> </tr><tr><td>filename</td><td><code>string</code></td><td></td><td><p>The name of the file to locate in <code>path_or_repo</code>.</p></td> </tr><tr><td>[fatal]</td><td><code>boolean</code></td><td><code>true</code></td><td><p>Whether to throw an error if the file is not found.</p></td> </tr><tr><td>[options]</td><td><code>PretrainedOptions</code></td><td></td><td><p>An object containing optional parameters.</p></td></tr></tbody>",zo,Ae,Bn='<li><a href="#module_utils/hub.getModelFile"><code>.getModelFile(path_or_repo_id, filename, [fatal], [options])</code></a> ⇒ <code>Promise</code><ul><li><a href="#module_utils/hub.getModelFile..cacheKey"><code>~cacheKey</code></a> : <code>string</code></li> <li><a href="#module_utils/hub.getModelFile..response"><code>~response</code></a> : <code>Response</code> | <code>FileResponse</code> | <code>undefined</code></li></ul></li>',Io,Jo,Do,Ee,Wo,P,Y,Zl,Fe,sn,Cl,qn="<code>getModelFile~cacheKey</code> : <code>string</code>",Yo,ke,Kn='<strong>Kind</strong>: inner property of <a href="#module_utils/hub.getModelFile"><code>getModelFile</code></a>',Vo,Go,Qo,Ne,Xo,H,V,eo,je,rn,Ll,zn="<code>getModelFile~response</code> : <code>Response</code> | <code>FileResponse</code> | <code>undefined</code>",Zo,Se,In='<strong>Kind</strong>: inner property of <a href="#module_utils/hub.getModelFile"><code>getModelFile</code></a>',ei,ti,li,Oe,oi,$,G,to,Ue,nn,Ml,Jn="<code>utils/hub.getModelJSON(modelPath, fileName, [fatal], [options])</code> ⇒ <code>Promise.&lt;Object&gt;</code>",ii,Be,Dn="Fetches a JSON file from a given path and file name.",si,qe,Wn='<strong>Kind</strong>: static method of <a href="#module_utils/hub"><code>utils/hub</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;Object&gt;</code> - The JSON data parsed into a JavaScript object.<br/> <strong>Throws</strong>:',ri,Ke,Yn="<li>Will throw an error if the file is not found and <code>fatal</code> is true.</li>",ni,ze,Vn="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>modelPath</td><td><code>string</code></td><td></td><td><p>The path to the directory containing the file.</p></td> </tr><tr><td>fileName</td><td><code>string</code></td><td></td><td><p>The name of the file to fetch.</p></td> </tr><tr><td>[fatal]</td><td><code>boolean</code></td><td><code>true</code></td><td><p>Whether to throw an error if the file is not found.</p></td> </tr><tr><td>[options]</td><td><code>PretrainedOptions</code></td><td></td><td><p>An object containing optional parameters.</p></td></tr></tbody>",di,ai,hi,Ie,ui,x,Q,lo,Je,dn,Rl,Gn="utils/hub~FileResponse",ci,De,Qn='<strong>Kind</strong>: inner class of <a href="#module_utils/hub"><code>utils/hub</code></a>',pi,We,Xn='<li><a href="#module_utils/hub..FileResponse">~FileResponse</a><ul><li><a href="#new_module_utils/hub..FileResponse_new"><code>new FileResponse(filePath)</code></a></li> <li><a href="#module_utils/hub..FileResponse+_CONTENT_TYPE_MAP"><code>._CONTENT_TYPE_MAP</code></a></li> <li><a href="#module_utils/hub..FileResponse+updateContentType"><code>.updateContentType()</code></a> ⇒ <code>void</code></li> <li><a href="#module_utils/hub..FileResponse+clone"><code>.clone()</code></a> ⇒ <code>FileResponse</code></li> <li><a href="#module_utils/hub..FileResponse+arrayBuffer"><code>.arrayBuffer()</code></a> ⇒ <code>Promise.&lt;ArrayBuffer&gt;</code></li> <li><a href="#module_utils/hub..FileResponse+blob"><code>.blob()</code></a> ⇒ <code>Promise.&lt;Blob&gt;</code></li> <li><a href="#module_utils/hub..FileResponse+text"><code>.text()</code></a> ⇒ <code>Promise.&lt;string&gt;</code></li> <li><a href="#module_utils/hub..FileResponse+json"><code>.json()</code></a> ⇒ <code>Promise.&lt;Object&gt;</code></li></ul></li>',fi,mi,vi,Ye,bi,C,X,oo,Ve,an,Al,Zn="<code>new FileResponse(filePath)</code>",_i,Ge,ed="Creates a new <code>FileResponse</code> object.",gi,Qe,td="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>filePath</td><td><code>string</code> | <code>URL</code></td></tr></tbody>",wi,Ti,yi,Xe,Pi,L,Z,io,Ze,hn,El,ld="<code>fileResponse._CONTENT_TYPE_MAP</code>",Hi,et,od="Mapping from file extensions to MIME types.",$i,tt,id='<strong>Kind</strong>: instance property of <a href="#module_utils/hub..FileResponse"><code>FileResponse</code></a>',xi,Ci,Li,lt,Mi,M,ee,so,ot,un,Fl,sd="<code>fileResponse.updateContentType()</code> ⇒ <code>void</code>",Ri,it,rd=`Updates the ‘content-type’ header property of the response based on the extension of
the file specified by the filePath property of the current object.`,Ai,st,nd='<strong>Kind</strong>: instance method of <a href="#module_utils/hub..FileResponse"><code>FileResponse</code></a>',Ei,Fi,ki,rt,Ni,R,te,ro,nt,cn,kl,dd="<code>fileResponse.clone()</code> ⇒ <code>FileResponse</code>",ji,dt,ad="Clone the current FileResponse object.",Si,at,hd='<strong>Kind</strong>: instance method of <a href="#module_utils/hub..FileResponse"><code>FileResponse</code></a><br/> <strong>Returns</strong>: <code>FileResponse</code> - A new FileResponse object with the same properties as the current object.',Oi,Ui,Bi,ht,qi,A,le,no,ut,pn,Nl,ud="<code>fileResponse.arrayBuffer()</code> ⇒ <code>Promise.&lt;ArrayBuffer&gt;</code>",Ki,ct,cd=`Reads the contents of the file specified by the filePath property and returns a Promise that
resolves with an ArrayBuffer containing the file’s contents.`,zi,pt,pd='<strong>Kind</strong>: instance method of <a href="#module_utils/hub..FileResponse"><code>FileResponse</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;ArrayBuffer&gt;</code> - A Promise that resolves with an ArrayBuffer containing the file’s contents.<br/> <strong>Throws</strong>:',Ii,ft,fd="<li><code>Error</code> If the file cannot be read.</li>",Ji,Di,Wi,mt,Yi,E,oe,ao,vt,fn,jl,md="<code>fileResponse.blob()</code> ⇒ <code>Promise.&lt;Blob&gt;</code>",Vi,bt,vd=`Reads the contents of the file specified by the filePath property and returns a Promise that
resolves with a Blob containing the file’s contents.`,Gi,_t,bd='<strong>Kind</strong>: instance method of <a href="#module_utils/hub..FileResponse"><code>FileResponse</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;Blob&gt;</code> - A Promise that resolves with a Blob containing the file’s contents.<br/> <strong>Throws</strong>:',Qi,gt,_d="<li><code>Error</code> If the file cannot be read.</li>",Xi,Zi,es,wt,ts,F,ie,ho,Tt,mn,Sl,gd="<code>fileResponse.text()</code> ⇒ <code>Promise.&lt;string&gt;</code>",ls,yt,wd=`Reads the contents of the file specified by the filePath property and returns a Promise that
resolves with a string containing the file’s contents.`,os,Pt,Td='<strong>Kind</strong>: instance method of <a href="#module_utils/hub..FileResponse"><code>FileResponse</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;string&gt;</code> - A Promise that resolves with a string containing the file’s contents.<br/> <strong>Throws</strong>:',is,Ht,yd="<li><code>Error</code> If the file cannot be read.</li>",ss,rs,ns,$t,ds,k,se,uo,xt,vn,Ol,Pd="<code>fileResponse.json()</code> ⇒ <code>Promise.&lt;Object&gt;</code>",as,Ct,Hd=`Reads the contents of the file specified by the filePath property and returns a Promise that
resolves with a parsed JavaScript object containing the file’s contents.`,hs,Lt,$d='<strong>Kind</strong>: instance method of <a href="#module_utils/hub..FileResponse"><code>FileResponse</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;Object&gt;</code> - A Promise that resolves with a parsed JavaScript object containing the file’s contents.<br/> <strong>Throws</strong>:',us,Mt,xd="<li><code>Error</code> If the file cannot be read.</li>",cs,ps,fs,Rt,ms,N,re,co,At,bn,Ul,Cd="utils/hub~FileCache",vs,Et,Ld='<strong>Kind</strong>: inner class of <a href="#module_utils/hub"><code>utils/hub</code></a>',bs,Ft,Md='<li><a href="#module_utils/hub..FileCache">~FileCache</a><ul><li><a href="#new_module_utils/hub..FileCache_new"><code>new FileCache(path)</code></a></li> <li><a href="#module_utils/hub..FileCache+match"><code>.match(request)</code></a> ⇒ <code>Promise.&lt;(FileResponse|undefined)&gt;</code></li> <li><a href="#module_utils/hub..FileCache+put"><code>.put(request, response)</code></a> ⇒ <code>Promise.&lt;void&gt;</code></li></ul></li>',_s,gs,ws,kt,Ts,j,ne,po,Nt,_n,Bl,Rd="<code>new FileCache(path)</code>",ys,jt,Ad="Instantiate a <code>FileCache</code> object.",Ps,St,Ed="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>path</td><td><code>string</code></td></tr></tbody>",Hs,$s,xs,Ot,Cs,S,de,fo,Ut,gn,ql,Fd="<code>fileCache.match(request)</code> ⇒ <code>Promise.&lt;(FileResponse|undefined)&gt;</code>",Ls,Bt,kd="Checks whether the given request is in the cache.",Ms,qt,Nd='<strong>Kind</strong>: instance method of <a href="#module_utils/hub..FileCache"><code>FileCache</code></a>',Rs,Kt,jd="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>request</td><td><code>string</code></td></tr></tbody>",As,Es,Fs,zt,ks,O,ae,mo,It,wn,Kl,Sd="<code>fileCache.put(request, response)</code> ⇒ <code>Promise.&lt;void&gt;</code>",Ns,Jt,Od="Adds the given response to the cache.",js,Dt,Ud='<strong>Kind</strong>: instance method of <a href="#module_utils/hub..FileCache"><code>FileCache</code></a>',Ss,Wt,Bd="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>request</td><td><code>string</code></td> </tr><tr><td>response</td><td><code>Response</code> | <code>FileResponse</code></td></tr></tbody>",Os,Us,Bs,Yt,qs,U,he,vo,Vt,Tn,zl,qd="<code>utils/hub~isValidHttpUrl(string, [validHosts])</code> ⇒ <code>boolean</code>",Ks,Gt,Kd="Determines whether the given string is a valid HTTP or HTTPS URL.",zs,Qt,zd='<strong>Kind</strong>: inner method of <a href="#module_utils/hub"><code>utils/hub</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the string is a valid HTTP or HTTPS URL, false otherwise.',Is,Xt,Id="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>string</td><td><code>string</code> | <code>URL</code></td><td></td><td><p>The string to test for validity as an HTTP or HTTPS URL.</p></td> </tr><tr><td>[validHosts]</td><td><code>Array.&lt;string&gt;</code></td><td><code></code></td><td><p>A list of valid hostnames. If specified, the URL&#39;s hostname must be in this list.</p></td></tr></tbody>",Js,Ds,Ws,Zt,Ys,B,ue,bo,el,yn,Il,Jd="<code>utils/hub~handleError(status, remoteURL, fatal)</code> ⇒ <code>null</code>",Vs,tl,Dd="Helper method to handle fatal errors that occur while trying to load a file from the Hugging Face Hub.",Gs,ll,Wd='<strong>Kind</strong>: inner method of <a href="#module_utils/hub"><code>utils/hub</code></a><br/> <strong>Returns</strong>: <code>null</code> - Returns <code>null</code> if <code>fatal = true</code>.<br/> <strong>Throws</strong>:',Qs,ol,Yd="<li><code>Error</code> If `fatal = false`.</li>",Xs,il,Vd="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>status</td><td><code>number</code></td><td><p>The HTTP status code of the error.</p></td> </tr><tr><td>remoteURL</td><td><code>string</code></td><td><p>The URL of the file that could not be loaded.</p></td> </tr><tr><td>fatal</td><td><code>boolean</code></td><td><p>Whether to raise an error if the file could not be loaded.</p></td></tr></tbody>",Zs,er,tr,sl,lr,q,ce,_o,rl,Pn,Jl,Gd="<code>utils/hub~tryCache(cache, ...names)</code> ⇒ <code>Promise.&lt;(FileResponse|Response|undefined)&gt;</code>",or,nl,Qd='<strong>Kind</strong>: inner method of <a href="#module_utils/hub"><code>utils/hub</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;(FileResponse|Response|undefined)&gt;</code> - The item from the cache, or undefined if not found.',ir,dl,Xd="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>cache</td><td><code>FileCache</code> | <code>Cache</code></td><td><p>The cache to search</p></td> </tr><tr><td>...names</td><td><code>Array.&lt;string&gt;</code></td><td><p>The names of the item to search for</p></td></tr></tbody>",sr,rr,nr,al,dr,K,pe,go,hl,Hn,Dl,Zd="<code>utils/hub~readResponse(response, progress_callback)</code> ⇒ <code>Promise.&lt;Uint8Array&gt;</code>",ar,ul,ea="Read and track progress when reading a Response object",hr,cl,ta='<strong>Kind</strong>: inner method of <a href="#module_utils/hub"><code>utils/hub</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;Uint8Array&gt;</code> - A Promise that resolves with the Uint8Array buffer',ur,pl,la="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>response</td><td><code>any</code></td><td><p>The Response object to read</p></td> </tr><tr><td>progress_callback</td><td><code>function</code></td><td><p>The function to call with progress updates</p></td></tr></tbody>",cr,pr,fr,fl,mr,z,fe,wo,ml,$n,Wl,oa="<code>utils/hub~pathJoin(...parts)</code> ⇒ <code>string</code>",vr,vl,ia="Joins multiple parts of a path into a single path, while handling leading and trailing slashes.",br,bl,sa='<strong>Kind</strong>: inner method of <a href="#module_utils/hub"><code>utils/hub</code></a><br/> <strong>Returns</strong>: <code>string</code> - A string representing the joined path.',_r,_l,ra="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>...parts</td><td><code>string</code></td><td><p>Multiple parts of a path.</p></td></tr></tbody>",gr,wr,Tr,gl,yr,I,me,To,wl,xn,Yl,na="<code>utils/hub~PretrainedOptions</code> : <code>Object</code>",Pr,Tl,da="Options for loading a pretrained model.",Hr,yl,aa='<strong>Kind</strong>: inner typedef of <a href="#module_utils/hub"><code>utils/hub</code></a><br/> <strong>Properties</strong>',$r,Pl,ha=`<thead><tr><th>Name</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>[quantized]</td><td><code>boolean</code></td><td><code>true</code></td><td><p>Whether to load the 8-bit quantized version of the model (only applicable when loading model files).</p></td> </tr><tr><td>[progress_callback]</td><td><code>function</code></td><td><code></code></td><td><p>If specified, this function will be called during model construction, to provide the user with progress updates.</p></td> </tr><tr><td>[config]</td><td><code>Object</code></td><td><code></code></td><td><p>Configuration for the model to use instead of an automatically loaded configuration. Configuration can be automatically loaded when:</p> <ul><li>The model is a model provided by the library (loaded with the <em>model id</em> string of a pretrained model).</li> <li>The model is loaded by supplying a local directory as <code>pretrained_model_name_or_path</code> and a configuration JSON file named <em>config.json</em> is found in the directory.</li></ul></td> </tr><tr><td>[cache_dir]</td><td><code>string</code></td><td><code>null</code></td><td><p>Path to a directory in which a downloaded pretrained model configuration should be cached if the standard cache should not be used.</p></td> </tr><tr><td>[local_files_only]</td><td><code>boolean</code></td><td><code>false</code></td><td><p>Whether or not to only look at local files (e.g., not try downloading the model).</p></td> </tr><tr><td>[revision]</td><td><code>string</code></td><td><code>&quot;&#39;main&#39;&quot;</code></td><td><p>The specific model version to use. It can be a branch name, a tag name, or a commit id,
since we use a git-based system for storing models and other artifacts on huggingface.co, so <code>revision</code> can be any identifier allowed by git.
NOTE: This setting is ignored for local requests.</p></td> </tr><tr><td>[model_file_name]</td><td><code>string</code></td><td><code>null</code></td><td><p>If specified, load the model with this name (excluding the .onnx suffix). Currently only valid for encoder- or decoder-only models.</p></td></tr></tbody>`,xr,Cr,Lr,yo,Mr;return be=new _({}),Te=new _({}),xe=new _({}),Fe=new _({}),je=new _({}),Ue=new _({}),Je=new _({}),Ve=new _({}),Ze=new _({}),ot=new _({}),nt=new _({}),ut=new _({}),vt=new _({}),Tt=new _({}),xt=new _({}),At=new _({}),Nt=new _({}),Ut=new _({}),It=new _({}),Vt=new _({}),el=new _({}),rl=new _({}),hl=new _({}),ml=new _({}),wl=new _({}),{c(){g=i("meta"),Po=r(),Vl=i("p"),Ho=r(),ve=i("a"),$o=r(),w=i("h1"),J=i("a"),Gl=i("span"),c(be.$$.fragment),tn=r(),Hl=i("span"),Hl.textContent=Ln,xo=r(),_e=i("p"),_e.innerHTML=Mn,Co=r(),ge=i("ul"),ge.innerHTML=Rn,Lo=r(),Mo=i("hr"),Ro=r(),we=i("a"),Ao=r(),T=i("h2"),D=i("a"),Ql=i("span"),c(Te.$$.fragment),ln=r(),$l=i("span"),$l.innerHTML=An,Eo=r(),ye=i("p"),ye.textContent=En,Fo=r(),Pe=i("p"),Pe.innerHTML=Fn,ko=r(),He=i("table"),He.innerHTML=kn,No=r(),jo=i("hr"),So=r(),$e=i("a"),Oo=r(),y=i("h2"),W=i("a"),Xl=i("span"),c(xe.$$.fragment),on=r(),xl=i("span"),xl.innerHTML=Nn,Uo=r(),Ce=i("p"),Ce.innerHTML=jn,Bo=r(),Le=i("p"),Le.innerHTML=Sn,qo=r(),Me=i("ul"),Me.innerHTML=On,Ko=r(),Re=i("table"),Re.innerHTML=Un,zo=r(),Ae=i("ul"),Ae.innerHTML=Bn,Io=r(),Jo=i("hr"),Do=r(),Ee=i("a"),Wo=r(),P=i("h3"),Y=i("a"),Zl=i("span"),c(Fe.$$.fragment),sn=r(),Cl=i("span"),Cl.innerHTML=qn,Yo=r(),ke=i("p"),ke.innerHTML=Kn,Vo=r(),Go=i("hr"),Qo=r(),Ne=i("a"),Xo=r(),H=i("h3"),V=i("a"),eo=i("span"),c(je.$$.fragment),rn=r(),Ll=i("span"),Ll.innerHTML=zn,Zo=r(),Se=i("p"),Se.innerHTML=In,ei=r(),ti=i("hr"),li=r(),Oe=i("a"),oi=r(),$=i("h2"),G=i("a"),to=i("span"),c(Ue.$$.fragment),nn=r(),Ml=i("span"),Ml.innerHTML=Jn,ii=r(),Be=i("p"),Be.textContent=Dn,si=r(),qe=i("p"),qe.innerHTML=Wn,ri=r(),Ke=i("ul"),Ke.innerHTML=Yn,ni=r(),ze=i("table"),ze.innerHTML=Vn,di=r(),ai=i("hr"),hi=r(),Ie=i("a"),ui=r(),x=i("h2"),Q=i("a"),lo=i("span"),c(Je.$$.fragment),dn=r(),Rl=i("span"),Rl.textContent=Gn,ci=r(),De=i("p"),De.innerHTML=Qn,pi=r(),We=i("ul"),We.innerHTML=Xn,fi=r(),mi=i("hr"),vi=r(),Ye=i("a"),bi=r(),C=i("h3"),X=i("a"),oo=i("span"),c(Ve.$$.fragment),an=r(),Al=i("span"),Al.innerHTML=Zn,_i=r(),Ge=i("p"),Ge.innerHTML=ed,gi=r(),Qe=i("table"),Qe.innerHTML=td,wi=r(),Ti=i("hr"),yi=r(),Xe=i("a"),Pi=r(),L=i("h3"),Z=i("a"),io=i("span"),c(Ze.$$.fragment),hn=r(),El=i("span"),El.innerHTML=ld,Hi=r(),et=i("p"),et.textContent=od,$i=r(),tt=i("p"),tt.innerHTML=id,xi=r(),Ci=i("hr"),Li=r(),lt=i("a"),Mi=r(),M=i("h3"),ee=i("a"),so=i("span"),c(ot.$$.fragment),un=r(),Fl=i("span"),Fl.innerHTML=sd,Ri=r(),it=i("p"),it.textContent=rd,Ai=r(),st=i("p"),st.innerHTML=nd,Ei=r(),Fi=i("hr"),ki=r(),rt=i("a"),Ni=r(),R=i("h3"),te=i("a"),ro=i("span"),c(nt.$$.fragment),cn=r(),kl=i("span"),kl.innerHTML=dd,ji=r(),dt=i("p"),dt.textContent=ad,Si=r(),at=i("p"),at.innerHTML=hd,Oi=r(),Ui=i("hr"),Bi=r(),ht=i("a"),qi=r(),A=i("h3"),le=i("a"),no=i("span"),c(ut.$$.fragment),pn=r(),Nl=i("span"),Nl.innerHTML=ud,Ki=r(),ct=i("p"),ct.textContent=cd,zi=r(),pt=i("p"),pt.innerHTML=pd,Ii=r(),ft=i("ul"),ft.innerHTML=fd,Ji=r(),Di=i("hr"),Wi=r(),mt=i("a"),Yi=r(),E=i("h3"),oe=i("a"),ao=i("span"),c(vt.$$.fragment),fn=r(),jl=i("span"),jl.innerHTML=md,Vi=r(),bt=i("p"),bt.textContent=vd,Gi=r(),_t=i("p"),_t.innerHTML=bd,Qi=r(),gt=i("ul"),gt.innerHTML=_d,Xi=r(),Zi=i("hr"),es=r(),wt=i("a"),ts=r(),F=i("h3"),ie=i("a"),ho=i("span"),c(Tt.$$.fragment),mn=r(),Sl=i("span"),Sl.innerHTML=gd,ls=r(),yt=i("p"),yt.textContent=wd,os=r(),Pt=i("p"),Pt.innerHTML=Td,is=r(),Ht=i("ul"),Ht.innerHTML=yd,ss=r(),rs=i("hr"),ns=r(),$t=i("a"),ds=r(),k=i("h3"),se=i("a"),uo=i("span"),c(xt.$$.fragment),vn=r(),Ol=i("span"),Ol.innerHTML=Pd,as=r(),Ct=i("p"),Ct.textContent=Hd,hs=r(),Lt=i("p"),Lt.innerHTML=$d,us=r(),Mt=i("ul"),Mt.innerHTML=xd,cs=r(),ps=i("hr"),fs=r(),Rt=i("a"),ms=r(),N=i("h2"),re=i("a"),co=i("span"),c(At.$$.fragment),bn=r(),Ul=i("span"),Ul.textContent=Cd,vs=r(),Et=i("p"),Et.innerHTML=Ld,bs=r(),Ft=i("ul"),Ft.innerHTML=Md,_s=r(),gs=i("hr"),ws=r(),kt=i("a"),Ts=r(),j=i("h3"),ne=i("a"),po=i("span"),c(Nt.$$.fragment),_n=r(),Bl=i("span"),Bl.innerHTML=Rd,ys=r(),jt=i("p"),jt.innerHTML=Ad,Ps=r(),St=i("table"),St.innerHTML=Ed,Hs=r(),$s=i("hr"),xs=r(),Ot=i("a"),Cs=r(),S=i("h3"),de=i("a"),fo=i("span"),c(Ut.$$.fragment),gn=r(),ql=i("span"),ql.innerHTML=Fd,Ls=r(),Bt=i("p"),Bt.textContent=kd,Ms=r(),qt=i("p"),qt.innerHTML=Nd,Rs=r(),Kt=i("table"),Kt.innerHTML=jd,As=r(),Es=i("hr"),Fs=r(),zt=i("a"),ks=r(),O=i("h3"),ae=i("a"),mo=i("span"),c(It.$$.fragment),wn=r(),Kl=i("span"),Kl.innerHTML=Sd,Ns=r(),Jt=i("p"),Jt.textContent=Od,js=r(),Dt=i("p"),Dt.innerHTML=Ud,Ss=r(),Wt=i("table"),Wt.innerHTML=Bd,Os=r(),Us=i("hr"),Bs=r(),Yt=i("a"),qs=r(),U=i("h2"),he=i("a"),vo=i("span"),c(Vt.$$.fragment),Tn=r(),zl=i("span"),zl.innerHTML=qd,Ks=r(),Gt=i("p"),Gt.textContent=Kd,zs=r(),Qt=i("p"),Qt.innerHTML=zd,Is=r(),Xt=i("table"),Xt.innerHTML=Id,Js=r(),Ds=i("hr"),Ws=r(),Zt=i("a"),Ys=r(),B=i("h2"),ue=i("a"),bo=i("span"),c(el.$$.fragment),yn=r(),Il=i("span"),Il.innerHTML=Jd,Vs=r(),tl=i("p"),tl.textContent=Dd,Gs=r(),ll=i("p"),ll.innerHTML=Wd,Qs=r(),ol=i("ul"),ol.innerHTML=Yd,Xs=r(),il=i("table"),il.innerHTML=Vd,Zs=r(),er=i("hr"),tr=r(),sl=i("a"),lr=r(),q=i("h2"),ce=i("a"),_o=i("span"),c(rl.$$.fragment),Pn=r(),Jl=i("span"),Jl.innerHTML=Gd,or=r(),nl=i("p"),nl.innerHTML=Qd,ir=r(),dl=i("table"),dl.innerHTML=Xd,sr=r(),rr=i("hr"),nr=r(),al=i("a"),dr=r(),K=i("h2"),pe=i("a"),go=i("span"),c(hl.$$.fragment),Hn=r(),Dl=i("span"),Dl.innerHTML=Zd,ar=r(),ul=i("p"),ul.textContent=ea,hr=r(),cl=i("p"),cl.innerHTML=ta,ur=r(),pl=i("table"),pl.innerHTML=la,cr=r(),pr=i("hr"),fr=r(),fl=i("a"),mr=r(),z=i("h2"),fe=i("a"),wo=i("span"),c(ml.$$.fragment),$n=r(),Wl=i("span"),Wl.innerHTML=oa,vr=r(),vl=i("p"),vl.textContent=ia,br=r(),bl=i("p"),bl.innerHTML=sa,_r=r(),_l=i("table"),_l.innerHTML=ra,gr=r(),wr=i("hr"),Tr=r(),gl=i("a"),yr=r(),I=i("h2"),me=i("a"),To=i("span"),c(wl.$$.fragment),xn=r(),Yl=i("span"),Yl.innerHTML=na,Pr=r(),Tl=i("p"),Tl.textContent=da,Hr=r(),yl=i("p"),yl.innerHTML=aa,$r=r(),Pl=i("table"),Pl.innerHTML=ha,xr=r(),Cr=i("hr"),Lr=r(),yo=i("p"),this.h()},l(e){const l=ch("svelte-1phssyn",document.head);g=s(l,"META",{name:!0,content:!0}),l.forEach(t),Po=n(e),Vl=s(e,"P",{}),a(Vl).forEach(t),Ho=n(e),ve=s(e,"A",{id:!0,class:!0}),a(ve).forEach(t),$o=n(e),w=s(e,"H1",{class:!0});var Rr=a(w);J=s(Rr,"A",{id:!0,class:!0,href:!0});var ua=a(J);Gl=s(ua,"SPAN",{});var ca=a(Gl);p(be.$$.fragment,ca),ca.forEach(t),ua.forEach(t),tn=n(Rr),Hl=s(Rr,"SPAN",{"data-svelte-h":!0}),u(Hl)!=="svelte-1rmy8oe"&&(Hl.textContent=Ln),Rr.forEach(t),xo=n(e),_e=s(e,"P",{"data-svelte-h":!0}),u(_e)!=="svelte-1jxl61c"&&(_e.innerHTML=Mn),Co=n(e),ge=s(e,"UL",{"data-svelte-h":!0}),u(ge)!=="svelte-2f78j2"&&(ge.innerHTML=Rn),Lo=n(e),Mo=s(e,"HR",{}),Ro=n(e),we=s(e,"A",{id:!0,class:!0}),a(we).forEach(t),Ao=n(e),T=s(e,"H2",{class:!0});var Ar=a(T);D=s(Ar,"A",{id:!0,class:!0,href:!0});var pa=a(D);Ql=s(pa,"SPAN",{});var fa=a(Ql);p(Te.$$.fragment,fa),fa.forEach(t),pa.forEach(t),ln=n(Ar),$l=s(Ar,"SPAN",{"data-svelte-h":!0}),u($l)!=="svelte-zu44zb"&&($l.innerHTML=An),Ar.forEach(t),Eo=n(e),ye=s(e,"P",{"data-svelte-h":!0}),u(ye)!=="svelte-10mshiw"&&(ye.textContent=En),Fo=n(e),Pe=s(e,"P",{"data-svelte-h":!0}),u(Pe)!=="svelte-hep1qh"&&(Pe.innerHTML=Fn),ko=n(e),He=s(e,"TABLE",{"data-svelte-h":!0}),u(He)!=="svelte-pbwhgs"&&(He.innerHTML=kn),No=n(e),jo=s(e,"HR",{}),So=n(e),$e=s(e,"A",{id:!0,class:!0}),a($e).forEach(t),Oo=n(e),y=s(e,"H2",{class:!0});var Er=a(y);W=s(Er,"A",{id:!0,class:!0,href:!0});var ma=a(W);Xl=s(ma,"SPAN",{});var va=a(Xl);p(xe.$$.fragment,va),va.forEach(t),ma.forEach(t),on=n(Er),xl=s(Er,"SPAN",{"data-svelte-h":!0}),u(xl)!=="svelte-148m89k"&&(xl.innerHTML=Nn),Er.forEach(t),Uo=n(e),Ce=s(e,"P",{"data-svelte-h":!0}),u(Ce)!=="svelte-1l3bjq3"&&(Ce.innerHTML=jn),Bo=n(e),Le=s(e,"P",{"data-svelte-h":!0}),u(Le)!=="svelte-1rwfklh"&&(Le.innerHTML=Sn),qo=n(e),Me=s(e,"UL",{"data-svelte-h":!0}),u(Me)!=="svelte-jl6z4b"&&(Me.innerHTML=On),Ko=n(e),Re=s(e,"TABLE",{"data-svelte-h":!0}),u(Re)!=="svelte-1o6u9nv"&&(Re.innerHTML=Un),zo=n(e),Ae=s(e,"UL",{"data-svelte-h":!0}),u(Ae)!=="svelte-4lalsu"&&(Ae.innerHTML=Bn),Io=n(e),Jo=s(e,"HR",{}),Do=n(e),Ee=s(e,"A",{id:!0,class:!0}),a(Ee).forEach(t),Wo=n(e),P=s(e,"H3",{class:!0});var Fr=a(P);Y=s(Fr,"A",{id:!0,class:!0,href:!0});var ba=a(Y);Zl=s(ba,"SPAN",{});var _a=a(Zl);p(Fe.$$.fragment,_a),_a.forEach(t),ba.forEach(t),sn=n(Fr),Cl=s(Fr,"SPAN",{"data-svelte-h":!0}),u(Cl)!=="svelte-1srkb3u"&&(Cl.innerHTML=qn),Fr.forEach(t),Yo=n(e),ke=s(e,"P",{"data-svelte-h":!0}),u(ke)!=="svelte-1ys3w38"&&(ke.innerHTML=Kn),Vo=n(e),Go=s(e,"HR",{}),Qo=n(e),Ne=s(e,"A",{id:!0,class:!0}),a(Ne).forEach(t),Xo=n(e),H=s(e,"H3",{class:!0});var kr=a(H);V=s(kr,"A",{id:!0,class:!0,href:!0});var ga=a(V);eo=s(ga,"SPAN",{});var wa=a(eo);p(je.$$.fragment,wa),wa.forEach(t),ga.forEach(t),rn=n(kr),Ll=s(kr,"SPAN",{"data-svelte-h":!0}),u(Ll)!=="svelte-1ajv0nh"&&(Ll.innerHTML=zn),kr.forEach(t),Zo=n(e),Se=s(e,"P",{"data-svelte-h":!0}),u(Se)!=="svelte-1ys3w38"&&(Se.innerHTML=In),ei=n(e),ti=s(e,"HR",{}),li=n(e),Oe=s(e,"A",{id:!0,class:!0}),a(Oe).forEach(t),oi=n(e),$=s(e,"H2",{class:!0});var Nr=a($);G=s(Nr,"A",{id:!0,class:!0,href:!0});var Ta=a(G);to=s(Ta,"SPAN",{});var ya=a(to);p(Ue.$$.fragment,ya),ya.forEach(t),Ta.forEach(t),nn=n(Nr),Ml=s(Nr,"SPAN",{"data-svelte-h":!0}),u(Ml)!=="svelte-1go21ou"&&(Ml.innerHTML=Jn),Nr.forEach(t),ii=n(e),Be=s(e,"P",{"data-svelte-h":!0}),u(Be)!=="svelte-1en2wh4"&&(Be.textContent=Dn),si=n(e),qe=s(e,"P",{"data-svelte-h":!0}),u(qe)!=="svelte-2229yt"&&(qe.innerHTML=Wn),ri=n(e),Ke=s(e,"UL",{"data-svelte-h":!0}),u(Ke)!=="svelte-jl6z4b"&&(Ke.innerHTML=Yn),ni=n(e),ze=s(e,"TABLE",{"data-svelte-h":!0}),u(ze)!=="svelte-1iel3tk"&&(ze.innerHTML=Vn),di=n(e),ai=s(e,"HR",{}),hi=n(e),Ie=s(e,"A",{id:!0,class:!0}),a(Ie).forEach(t),ui=n(e),x=s(e,"H2",{class:!0});var jr=a(x);Q=s(jr,"A",{id:!0,class:!0,href:!0});var Pa=a(Q);lo=s(Pa,"SPAN",{});var Ha=a(lo);p(Je.$$.fragment,Ha),Ha.forEach(t),Pa.forEach(t),dn=n(jr),Rl=s(jr,"SPAN",{"data-svelte-h":!0}),u(Rl)!=="svelte-n0ziqh"&&(Rl.textContent=Gn),jr.forEach(t),ci=n(e),De=s(e,"P",{"data-svelte-h":!0}),u(De)!=="svelte-16uuos4"&&(De.innerHTML=Qn),pi=n(e),We=s(e,"UL",{"data-svelte-h":!0}),u(We)!=="svelte-95qnzp"&&(We.innerHTML=Xn),fi=n(e),mi=s(e,"HR",{}),vi=n(e),Ye=s(e,"A",{id:!0,class:!0}),a(Ye).forEach(t),bi=n(e),C=s(e,"H3",{class:!0});var Sr=a(C);X=s(Sr,"A",{id:!0,class:!0,href:!0});var $a=a(X);oo=s($a,"SPAN",{});var xa=a(oo);p(Ve.$$.fragment,xa),xa.forEach(t),$a.forEach(t),an=n(Sr),Al=s(Sr,"SPAN",{"data-svelte-h":!0}),u(Al)!=="svelte-kawfrb"&&(Al.innerHTML=Zn),Sr.forEach(t),_i=n(e),Ge=s(e,"P",{"data-svelte-h":!0}),u(Ge)!=="svelte-zzl0lp"&&(Ge.innerHTML=ed),gi=n(e),Qe=s(e,"TABLE",{"data-svelte-h":!0}),u(Qe)!=="svelte-1y2k5ta"&&(Qe.innerHTML=td),wi=n(e),Ti=s(e,"HR",{}),yi=n(e),Xe=s(e,"A",{id:!0,class:!0}),a(Xe).forEach(t),Pi=n(e),L=s(e,"H3",{class:!0});var Or=a(L);Z=s(Or,"A",{id:!0,class:!0,href:!0});var Ca=a(Z);io=s(Ca,"SPAN",{});var La=a(io);p(Ze.$$.fragment,La),La.forEach(t),Ca.forEach(t),hn=n(Or),El=s(Or,"SPAN",{"data-svelte-h":!0}),u(El)!=="svelte-72sir9"&&(El.innerHTML=ld),Or.forEach(t),Hi=n(e),et=s(e,"P",{"data-svelte-h":!0}),u(et)!=="svelte-15u13r6"&&(et.textContent=od),$i=n(e),tt=s(e,"P",{"data-svelte-h":!0}),u(tt)!=="svelte-g2qxul"&&(tt.innerHTML=id),xi=n(e),Ci=s(e,"HR",{}),Li=n(e),lt=s(e,"A",{id:!0,class:!0}),a(lt).forEach(t),Mi=n(e),M=s(e,"H3",{class:!0});var Ur=a(M);ee=s(Ur,"A",{id:!0,class:!0,href:!0});var Ma=a(ee);so=s(Ma,"SPAN",{});var Ra=a(so);p(ot.$$.fragment,Ra),Ra.forEach(t),Ma.forEach(t),un=n(Ur),Fl=s(Ur,"SPAN",{"data-svelte-h":!0}),u(Fl)!=="svelte-1gn5eoh"&&(Fl.innerHTML=sd),Ur.forEach(t),Ri=n(e),it=s(e,"P",{"data-svelte-h":!0}),u(it)!=="svelte-1u1tjx3"&&(it.textContent=rd),Ai=n(e),st=s(e,"P",{"data-svelte-h":!0}),u(st)!=="svelte-1sowe6d"&&(st.innerHTML=nd),Ei=n(e),Fi=s(e,"HR",{}),ki=n(e),rt=s(e,"A",{id:!0,class:!0}),a(rt).forEach(t),Ni=n(e),R=s(e,"H3",{class:!0});var Br=a(R);te=s(Br,"A",{id:!0,class:!0,href:!0});var Aa=a(te);ro=s(Aa,"SPAN",{});var Ea=a(ro);p(nt.$$.fragment,Ea),Ea.forEach(t),Aa.forEach(t),cn=n(Br),kl=s(Br,"SPAN",{"data-svelte-h":!0}),u(kl)!=="svelte-1c4a0dl"&&(kl.innerHTML=dd),Br.forEach(t),ji=n(e),dt=s(e,"P",{"data-svelte-h":!0}),u(dt)!=="svelte-d8j2xp"&&(dt.textContent=ad),Si=n(e),at=s(e,"P",{"data-svelte-h":!0}),u(at)!=="svelte-8jlahc"&&(at.innerHTML=hd),Oi=n(e),Ui=s(e,"HR",{}),Bi=n(e),ht=s(e,"A",{id:!0,class:!0}),a(ht).forEach(t),qi=n(e),A=s(e,"H3",{class:!0});var qr=a(A);le=s(qr,"A",{id:!0,class:!0,href:!0});var Fa=a(le);no=s(Fa,"SPAN",{});var ka=a(no);p(ut.$$.fragment,ka),ka.forEach(t),Fa.forEach(t),pn=n(qr),Nl=s(qr,"SPAN",{"data-svelte-h":!0}),u(Nl)!=="svelte-1h66id5"&&(Nl.innerHTML=ud),qr.forEach(t),Ki=n(e),ct=s(e,"P",{"data-svelte-h":!0}),u(ct)!=="svelte-1a8fecx"&&(ct.textContent=cd),zi=n(e),pt=s(e,"P",{"data-svelte-h":!0}),u(pt)!=="svelte-1mzzgkr"&&(pt.innerHTML=pd),Ii=n(e),ft=s(e,"UL",{"data-svelte-h":!0}),u(ft)!=="svelte-1f4f3jw"&&(ft.innerHTML=fd),Ji=n(e),Di=s(e,"HR",{}),Wi=n(e),mt=s(e,"A",{id:!0,class:!0}),a(mt).forEach(t),Yi=n(e),E=s(e,"H3",{class:!0});var Kr=a(E);oe=s(Kr,"A",{id:!0,class:!0,href:!0});var Na=a(oe);ao=s(Na,"SPAN",{});var ja=a(ao);p(vt.$$.fragment,ja),ja.forEach(t),Na.forEach(t),fn=n(Kr),jl=s(Kr,"SPAN",{"data-svelte-h":!0}),u(jl)!=="svelte-1ykx5vz"&&(jl.innerHTML=md),Kr.forEach(t),Vi=n(e),bt=s(e,"P",{"data-svelte-h":!0}),u(bt)!=="svelte-h3zv97"&&(bt.textContent=vd),Gi=n(e),_t=s(e,"P",{"data-svelte-h":!0}),u(_t)!=="svelte-c3t4m7"&&(_t.innerHTML=bd),Qi=n(e),gt=s(e,"UL",{"data-svelte-h":!0}),u(gt)!=="svelte-1f4f3jw"&&(gt.innerHTML=_d),Xi=n(e),Zi=s(e,"HR",{}),es=n(e),wt=s(e,"A",{id:!0,class:!0}),a(wt).forEach(t),ts=n(e),F=s(e,"H3",{class:!0});var zr=a(F);ie=s(zr,"A",{id:!0,class:!0,href:!0});var Sa=a(ie);ho=s(Sa,"SPAN",{});var Oa=a(ho);p(Tt.$$.fragment,Oa),Oa.forEach(t),Sa.forEach(t),mn=n(zr),Sl=s(zr,"SPAN",{"data-svelte-h":!0}),u(Sl)!=="svelte-zel6gl"&&(Sl.innerHTML=gd),zr.forEach(t),ls=n(e),yt=s(e,"P",{"data-svelte-h":!0}),u(yt)!=="svelte-jd4zuh"&&(yt.textContent=wd),os=n(e),Pt=s(e,"P",{"data-svelte-h":!0}),u(Pt)!=="svelte-7t143b"&&(Pt.innerHTML=Td),is=n(e),Ht=s(e,"UL",{"data-svelte-h":!0}),u(Ht)!=="svelte-1f4f3jw"&&(Ht.innerHTML=yd),ss=n(e),rs=s(e,"HR",{}),ns=n(e),$t=s(e,"A",{id:!0,class:!0}),a($t).forEach(t),ds=n(e),k=s(e,"H3",{class:!0});var Ir=a(k);se=s(Ir,"A",{id:!0,class:!0,href:!0});var Ua=a(se);uo=s(Ua,"SPAN",{});var Ba=a(uo);p(xt.$$.fragment,Ba),Ba.forEach(t),Ua.forEach(t),vn=n(Ir),Ol=s(Ir,"SPAN",{"data-svelte-h":!0}),u(Ol)!=="svelte-1lpzwwm"&&(Ol.innerHTML=Pd),Ir.forEach(t),as=n(e),Ct=s(e,"P",{"data-svelte-h":!0}),u(Ct)!=="svelte-cd4397"&&(Ct.textContent=Hd),hs=n(e),Lt=s(e,"P",{"data-svelte-h":!0}),u(Lt)!=="svelte-190n8ov"&&(Lt.innerHTML=$d),us=n(e),Mt=s(e,"UL",{"data-svelte-h":!0}),u(Mt)!=="svelte-1f4f3jw"&&(Mt.innerHTML=xd),cs=n(e),ps=s(e,"HR",{}),fs=n(e),Rt=s(e,"A",{id:!0,class:!0}),a(Rt).forEach(t),ms=n(e),N=s(e,"H2",{class:!0});var Jr=a(N);re=s(Jr,"A",{id:!0,class:!0,href:!0});var qa=a(re);co=s(qa,"SPAN",{});var Ka=a(co);p(At.$$.fragment,Ka),Ka.forEach(t),qa.forEach(t),bn=n(Jr),Ul=s(Jr,"SPAN",{"data-svelte-h":!0}),u(Ul)!=="svelte-18okpbk"&&(Ul.textContent=Cd),Jr.forEach(t),vs=n(e),Et=s(e,"P",{"data-svelte-h":!0}),u(Et)!=="svelte-16uuos4"&&(Et.innerHTML=Ld),bs=n(e),Ft=s(e,"UL",{"data-svelte-h":!0}),u(Ft)!=="svelte-19bhgcx"&&(Ft.innerHTML=Md),_s=n(e),gs=s(e,"HR",{}),ws=n(e),kt=s(e,"A",{id:!0,class:!0}),a(kt).forEach(t),Ts=n(e),j=s(e,"H3",{class:!0});var Dr=a(j);ne=s(Dr,"A",{id:!0,class:!0,href:!0});var za=a(ne);po=s(za,"SPAN",{});var Ia=a(po);p(Nt.$$.fragment,Ia),Ia.forEach(t),za.forEach(t),_n=n(Dr),Bl=s(Dr,"SPAN",{"data-svelte-h":!0}),u(Bl)!=="svelte-1xcdefk"&&(Bl.innerHTML=Rd),Dr.forEach(t),ys=n(e),jt=s(e,"P",{"data-svelte-h":!0}),u(jt)!=="svelte-pake4r"&&(jt.innerHTML=Ad),Ps=n(e),St=s(e,"TABLE",{"data-svelte-h":!0}),u(St)!=="svelte-f03x1m"&&(St.innerHTML=Ed),Hs=n(e),$s=s(e,"HR",{}),xs=n(e),Ot=s(e,"A",{id:!0,class:!0}),a(Ot).forEach(t),Cs=n(e),S=s(e,"H3",{class:!0});var Wr=a(S);de=s(Wr,"A",{id:!0,class:!0,href:!0});var Ja=a(de);fo=s(Ja,"SPAN",{});var Da=a(fo);p(Ut.$$.fragment,Da),Da.forEach(t),Ja.forEach(t),gn=n(Wr),ql=s(Wr,"SPAN",{"data-svelte-h":!0}),u(ql)!=="svelte-qe6wle"&&(ql.innerHTML=Fd),Wr.forEach(t),Ls=n(e),Bt=s(e,"P",{"data-svelte-h":!0}),u(Bt)!=="svelte-13oc2rp"&&(Bt.textContent=kd),Ms=n(e),qt=s(e,"P",{"data-svelte-h":!0}),u(qt)!=="svelte-1wxlxpn"&&(qt.innerHTML=Nd),Rs=n(e),Kt=s(e,"TABLE",{"data-svelte-h":!0}),u(Kt)!=="svelte-2kmk06"&&(Kt.innerHTML=jd),As=n(e),Es=s(e,"HR",{}),Fs=n(e),zt=s(e,"A",{id:!0,class:!0}),a(zt).forEach(t),ks=n(e),O=s(e,"H3",{class:!0});var Yr=a(O);ae=s(Yr,"A",{id:!0,class:!0,href:!0});var Wa=a(ae);mo=s(Wa,"SPAN",{});var Ya=a(mo);p(It.$$.fragment,Ya),Ya.forEach(t),Wa.forEach(t),wn=n(Yr),Kl=s(Yr,"SPAN",{"data-svelte-h":!0}),u(Kl)!=="svelte-1kox0tn"&&(Kl.innerHTML=Sd),Yr.forEach(t),Ns=n(e),Jt=s(e,"P",{"data-svelte-h":!0}),u(Jt)!=="svelte-bwoz3v"&&(Jt.textContent=Od),js=n(e),Dt=s(e,"P",{"data-svelte-h":!0}),u(Dt)!=="svelte-1wxlxpn"&&(Dt.innerHTML=Ud),Ss=n(e),Wt=s(e,"TABLE",{"data-svelte-h":!0}),u(Wt)!=="svelte-yj5tj6"&&(Wt.innerHTML=Bd),Os=n(e),Us=s(e,"HR",{}),Bs=n(e),Yt=s(e,"A",{id:!0,class:!0}),a(Yt).forEach(t),qs=n(e),U=s(e,"H2",{class:!0});var Vr=a(U);he=s(Vr,"A",{id:!0,class:!0,href:!0});var Va=a(he);vo=s(Va,"SPAN",{});var Ga=a(vo);p(Vt.$$.fragment,Ga),Ga.forEach(t),Va.forEach(t),Tn=n(Vr),zl=s(Vr,"SPAN",{"data-svelte-h":!0}),u(zl)!=="svelte-19gv23e"&&(zl.innerHTML=qd),Vr.forEach(t),Ks=n(e),Gt=s(e,"P",{"data-svelte-h":!0}),u(Gt)!=="svelte-19yu0hw"&&(Gt.textContent=Kd),zs=n(e),Qt=s(e,"P",{"data-svelte-h":!0}),u(Qt)!=="svelte-1ifo88t"&&(Qt.innerHTML=zd),Is=n(e),Xt=s(e,"TABLE",{"data-svelte-h":!0}),u(Xt)!=="svelte-msmjch"&&(Xt.innerHTML=Id),Js=n(e),Ds=s(e,"HR",{}),Ws=n(e),Zt=s(e,"A",{id:!0,class:!0}),a(Zt).forEach(t),Ys=n(e),B=s(e,"H2",{class:!0});var Gr=a(B);ue=s(Gr,"A",{id:!0,class:!0,href:!0});var Qa=a(ue);bo=s(Qa,"SPAN",{});var Xa=a(bo);p(el.$$.fragment,Xa),Xa.forEach(t),Qa.forEach(t),yn=n(Gr),Il=s(Gr,"SPAN",{"data-svelte-h":!0}),u(Il)!=="svelte-15222kj"&&(Il.innerHTML=Jd),Gr.forEach(t),Vs=n(e),tl=s(e,"P",{"data-svelte-h":!0}),u(tl)!=="svelte-112gzs0"&&(tl.textContent=Dd),Gs=n(e),ll=s(e,"P",{"data-svelte-h":!0}),u(ll)!=="svelte-9i72aw"&&(ll.innerHTML=Wd),Qs=n(e),ol=s(e,"UL",{"data-svelte-h":!0}),u(ol)!=="svelte-w7pu3"&&(ol.innerHTML=Yd),Xs=n(e),il=s(e,"TABLE",{"data-svelte-h":!0}),u(il)!=="svelte-bpbhxc"&&(il.innerHTML=Vd),Zs=n(e),er=s(e,"HR",{}),tr=n(e),sl=s(e,"A",{id:!0,class:!0}),a(sl).forEach(t),lr=n(e),q=s(e,"H2",{class:!0});var Qr=a(q);ce=s(Qr,"A",{id:!0,class:!0,href:!0});var Za=a(ce);_o=s(Za,"SPAN",{});var eh=a(_o);p(rl.$$.fragment,eh),eh.forEach(t),Za.forEach(t),Pn=n(Qr),Jl=s(Qr,"SPAN",{"data-svelte-h":!0}),u(Jl)!=="svelte-fq9nwd"&&(Jl.innerHTML=Gd),Qr.forEach(t),or=n(e),nl=s(e,"P",{"data-svelte-h":!0}),u(nl)!=="svelte-1iebonu"&&(nl.innerHTML=Qd),ir=n(e),dl=s(e,"TABLE",{"data-svelte-h":!0}),u(dl)!=="svelte-17sk6uf"&&(dl.innerHTML=Xd),sr=n(e),rr=s(e,"HR",{}),nr=n(e),al=s(e,"A",{id:!0,class:!0}),a(al).forEach(t),dr=n(e),K=s(e,"H2",{class:!0});var Xr=a(K);pe=s(Xr,"A",{id:!0,class:!0,href:!0});var th=a(pe);go=s(th,"SPAN",{});var lh=a(go);p(hl.$$.fragment,lh),lh.forEach(t),th.forEach(t),Hn=n(Xr),Dl=s(Xr,"SPAN",{"data-svelte-h":!0}),u(Dl)!=="svelte-o49h8v"&&(Dl.innerHTML=Zd),Xr.forEach(t),ar=n(e),ul=s(e,"P",{"data-svelte-h":!0}),u(ul)!=="svelte-1tqccie"&&(ul.textContent=ea),hr=n(e),cl=s(e,"P",{"data-svelte-h":!0}),u(cl)!=="svelte-6rtjio"&&(cl.innerHTML=ta),ur=n(e),pl=s(e,"TABLE",{"data-svelte-h":!0}),u(pl)!=="svelte-13fau3m"&&(pl.innerHTML=la),cr=n(e),pr=s(e,"HR",{}),fr=n(e),fl=s(e,"A",{id:!0,class:!0}),a(fl).forEach(t),mr=n(e),z=s(e,"H2",{class:!0});var Zr=a(z);fe=s(Zr,"A",{id:!0,class:!0,href:!0});var oh=a(fe);wo=s(oh,"SPAN",{});var ih=a(wo);p(ml.$$.fragment,ih),ih.forEach(t),oh.forEach(t),$n=n(Zr),Wl=s(Zr,"SPAN",{"data-svelte-h":!0}),u(Wl)!=="svelte-7v90xp"&&(Wl.innerHTML=oa),Zr.forEach(t),vr=n(e),vl=s(e,"P",{"data-svelte-h":!0}),u(vl)!=="svelte-7vbcne"&&(vl.textContent=ia),br=n(e),bl=s(e,"P",{"data-svelte-h":!0}),u(bl)!=="svelte-wjfx67"&&(bl.innerHTML=sa),_r=n(e),_l=s(e,"TABLE",{"data-svelte-h":!0}),u(_l)!=="svelte-61qi9d"&&(_l.innerHTML=ra),gr=n(e),wr=s(e,"HR",{}),Tr=n(e),gl=s(e,"A",{id:!0,class:!0}),a(gl).forEach(t),yr=n(e),I=s(e,"H2",{class:!0});var en=a(I);me=s(en,"A",{id:!0,class:!0,href:!0});var sh=a(me);To=s(sh,"SPAN",{});var rh=a(To);p(wl.$$.fragment,rh),rh.forEach(t),sh.forEach(t),xn=n(en),Yl=s(en,"SPAN",{"data-svelte-h":!0}),u(Yl)!=="svelte-1bn705b"&&(Yl.innerHTML=na),en.forEach(t),Pr=n(e),Tl=s(e,"P",{"data-svelte-h":!0}),u(Tl)!=="svelte-1oi15lr"&&(Tl.textContent=da),Hr=n(e),yl=s(e,"P",{"data-svelte-h":!0}),u(yl)!=="svelte-121rdz"&&(yl.innerHTML=aa),$r=n(e),Pl=s(e,"TABLE",{"data-svelte-h":!0}),u(Pl)!=="svelte-1kbnzqd"&&(Pl.innerHTML=ha),xr=n(e),Cr=s(e,"HR",{}),Lr=n(e),yo=s(e,"P",{}),a(yo).forEach(t),this.h()},h(){d(g,"name","hf:doc:metadata"),d(g,"content",JSON.stringify(fh)),d(ve,"id","module_utils/hub"),d(ve,"class","group"),d(J,"id","utilshub"),d(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(J,"href","#utilshub"),d(w,"class","relative group"),d(we,"id","module_utils/hub.getFile"),d(we,"class","group"),d(D,"id","utilshubgetfileurlorpath-codepromiseampltfileresponseresponseampgtcode"),d(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(D,"href","#utilshubgetfileurlorpath-codepromiseampltfileresponseresponseampgtcode"),d(T,"class","relative group"),d($e,"id","module_utils/hub.getModelFile"),d($e,"class","group"),d(W,"id","utilshubgetmodelfilepathorrepoid-filename-fatal-options-codepromisecode"),d(W,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(W,"href","#utilshubgetmodelfilepathorrepoid-filename-fatal-options-codepromisecode"),d(y,"class","relative group"),d(Ee,"id","module_utils/hub.getModelFile..cacheKey"),d(Ee,"class","group"),d(Y,"id","getmodelfilecachekey-codestringcode"),d(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Y,"href","#getmodelfilecachekey-codestringcode"),d(P,"class","relative group"),d(Ne,"id","module_utils/hub.getModelFile..response"),d(Ne,"class","group"),d(V,"id","getmodelfileresponse-coderesponsecode-codefileresponsecode-codeundefinedcode"),d(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(V,"href","#getmodelfileresponse-coderesponsecode-codefileresponsecode-codeundefinedcode"),d(H,"class","relative group"),d(Oe,"id","module_utils/hub.getModelJSON"),d(Oe,"class","group"),d(G,"id","utilshubgetmodeljsonmodelpath-filename-fatal-options-codepromiseampltobjectampgtcode"),d(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(G,"href","#utilshubgetmodeljsonmodelpath-filename-fatal-options-codepromiseampltobjectampgtcode"),d($,"class","relative group"),d(Ie,"id","module_utils/hub..FileResponse"),d(Ie,"class","group"),d(Q,"id","utilshubfileresponse"),d(Q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Q,"href","#utilshubfileresponse"),d(x,"class","relative group"),d(Ye,"id","new_module_utils/hub..FileResponse_new"),d(Ye,"class","group"),d(X,"id","new-fileresponsefilepath"),d(X,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(X,"href","#new-fileresponsefilepath"),d(C,"class","relative group"),d(Xe,"id","module_utils/hub..FileResponse+_CONTENT_TYPE_MAP"),d(Xe,"class","group"),d(Z,"id","fileresponsecontenttypemap"),d(Z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Z,"href","#fileresponsecontenttypemap"),d(L,"class","relative group"),d(lt,"id","module_utils/hub..FileResponse+updateContentType"),d(lt,"class","group"),d(ee,"id","fileresponseupdatecontenttype-codevoidcode"),d(ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ee,"href","#fileresponseupdatecontenttype-codevoidcode"),d(M,"class","relative group"),d(rt,"id","module_utils/hub..FileResponse+clone"),d(rt,"class","group"),d(te,"id","fileresponseclone-codefileresponsecode"),d(te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(te,"href","#fileresponseclone-codefileresponsecode"),d(R,"class","relative group"),d(ht,"id","module_utils/hub..FileResponse+arrayBuffer"),d(ht,"class","group"),d(le,"id","fileresponsearraybuffer-codepromiseampltarraybufferampgtcode"),d(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(le,"href","#fileresponsearraybuffer-codepromiseampltarraybufferampgtcode"),d(A,"class","relative group"),d(mt,"id","module_utils/hub..FileResponse+blob"),d(mt,"class","group"),d(oe,"id","fileresponseblob-codepromiseampltblobampgtcode"),d(oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(oe,"href","#fileresponseblob-codepromiseampltblobampgtcode"),d(E,"class","relative group"),d(wt,"id","module_utils/hub..FileResponse+text"),d(wt,"class","group"),d(ie,"id","fileresponsetext-codepromiseampltstringampgtcode"),d(ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ie,"href","#fileresponsetext-codepromiseampltstringampgtcode"),d(F,"class","relative group"),d($t,"id","module_utils/hub..FileResponse+json"),d($t,"class","group"),d(se,"id","fileresponsejson-codepromiseampltobjectampgtcode"),d(se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(se,"href","#fileresponsejson-codepromiseampltobjectampgtcode"),d(k,"class","relative group"),d(Rt,"id","module_utils/hub..FileCache"),d(Rt,"class","group"),d(re,"id","utilshubfilecache"),d(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(re,"href","#utilshubfilecache"),d(N,"class","relative group"),d(kt,"id","new_module_utils/hub..FileCache_new"),d(kt,"class","group"),d(ne,"id","new-filecachepath"),d(ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ne,"href","#new-filecachepath"),d(j,"class","relative group"),d(Ot,"id","module_utils/hub..FileCache+match"),d(Ot,"class","group"),d(de,"id","filecachematchrequest-codepromiseampltfileresponseundefinedampgtcode"),d(de,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(de,"href","#filecachematchrequest-codepromiseampltfileresponseundefinedampgtcode"),d(S,"class","relative group"),d(zt,"id","module_utils/hub..FileCache+put"),d(zt,"class","group"),d(ae,"id","filecacheputrequest-response-codepromiseampltvoidampgtcode"),d(ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ae,"href","#filecacheputrequest-response-codepromiseampltvoidampgtcode"),d(O,"class","relative group"),d(Yt,"id","module_utils/hub..isValidHttpUrl"),d(Yt,"class","group"),d(he,"id","utilshubisvalidhttpurlstring-validhosts-codebooleancode"),d(he,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(he,"href","#utilshubisvalidhttpurlstring-validhosts-codebooleancode"),d(U,"class","relative group"),d(Zt,"id","module_utils/hub..handleError"),d(Zt,"class","group"),d(ue,"id","utilshubhandleerrorstatus-remoteurl-fatal-codenullcode"),d(ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ue,"href","#utilshubhandleerrorstatus-remoteurl-fatal-codenullcode"),d(B,"class","relative group"),d(sl,"id","module_utils/hub..tryCache"),d(sl,"class","group"),d(ce,"id","utilshubtrycachecache-names-codepromiseampltfileresponseresponseundefinedampgtcode"),d(ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ce,"href","#utilshubtrycachecache-names-codepromiseampltfileresponseresponseundefinedampgtcode"),d(q,"class","relative group"),d(al,"id","module_utils/hub..readResponse"),d(al,"class","group"),d(pe,"id","utilshubreadresponseresponse-progresscallback-codepromiseampltuint8arrayampgtcode"),d(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(pe,"href","#utilshubreadresponseresponse-progresscallback-codepromiseampltuint8arrayampgtcode"),d(K,"class","relative group"),d(fl,"id","module_utils/hub..pathJoin"),d(fl,"class","group"),d(fe,"id","utilshubpathjoinparts-codestringcode"),d(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(fe,"href","#utilshubpathjoinparts-codestringcode"),d(z,"class","relative group"),d(gl,"id","module_utils/hub..PretrainedOptions"),d(gl,"class","group"),d(me,"id","utilshubpretrainedoptions-codeobjectcode"),d(me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(me,"href","#utilshubpretrainedoptions-codeobjectcode"),d(I,"class","relative group")},m(e,l){h(document.head,g),o(e,Po,l),o(e,Vl,l),o(e,Ho,l),o(e,ve,l),o(e,$o,l),o(e,w,l),h(w,J),h(J,Gl),f(be,Gl,null),h(w,tn),h(w,Hl),o(e,xo,l),o(e,_e,l),o(e,Co,l),o(e,ge,l),o(e,Lo,l),o(e,Mo,l),o(e,Ro,l),o(e,we,l),o(e,Ao,l),o(e,T,l),h(T,D),h(D,Ql),f(Te,Ql,null),h(T,ln),h(T,$l),o(e,Eo,l),o(e,ye,l),o(e,Fo,l),o(e,Pe,l),o(e,ko,l),o(e,He,l),o(e,No,l),o(e,jo,l),o(e,So,l),o(e,$e,l),o(e,Oo,l),o(e,y,l),h(y,W),h(W,Xl),f(xe,Xl,null),h(y,on),h(y,xl),o(e,Uo,l),o(e,Ce,l),o(e,Bo,l),o(e,Le,l),o(e,qo,l),o(e,Me,l),o(e,Ko,l),o(e,Re,l),o(e,zo,l),o(e,Ae,l),o(e,Io,l),o(e,Jo,l),o(e,Do,l),o(e,Ee,l),o(e,Wo,l),o(e,P,l),h(P,Y),h(Y,Zl),f(Fe,Zl,null),h(P,sn),h(P,Cl),o(e,Yo,l),o(e,ke,l),o(e,Vo,l),o(e,Go,l),o(e,Qo,l),o(e,Ne,l),o(e,Xo,l),o(e,H,l),h(H,V),h(V,eo),f(je,eo,null),h(H,rn),h(H,Ll),o(e,Zo,l),o(e,Se,l),o(e,ei,l),o(e,ti,l),o(e,li,l),o(e,Oe,l),o(e,oi,l),o(e,$,l),h($,G),h(G,to),f(Ue,to,null),h($,nn),h($,Ml),o(e,ii,l),o(e,Be,l),o(e,si,l),o(e,qe,l),o(e,ri,l),o(e,Ke,l),o(e,ni,l),o(e,ze,l),o(e,di,l),o(e,ai,l),o(e,hi,l),o(e,Ie,l),o(e,ui,l),o(e,x,l),h(x,Q),h(Q,lo),f(Je,lo,null),h(x,dn),h(x,Rl),o(e,ci,l),o(e,De,l),o(e,pi,l),o(e,We,l),o(e,fi,l),o(e,mi,l),o(e,vi,l),o(e,Ye,l),o(e,bi,l),o(e,C,l),h(C,X),h(X,oo),f(Ve,oo,null),h(C,an),h(C,Al),o(e,_i,l),o(e,Ge,l),o(e,gi,l),o(e,Qe,l),o(e,wi,l),o(e,Ti,l),o(e,yi,l),o(e,Xe,l),o(e,Pi,l),o(e,L,l),h(L,Z),h(Z,io),f(Ze,io,null),h(L,hn),h(L,El),o(e,Hi,l),o(e,et,l),o(e,$i,l),o(e,tt,l),o(e,xi,l),o(e,Ci,l),o(e,Li,l),o(e,lt,l),o(e,Mi,l),o(e,M,l),h(M,ee),h(ee,so),f(ot,so,null),h(M,un),h(M,Fl),o(e,Ri,l),o(e,it,l),o(e,Ai,l),o(e,st,l),o(e,Ei,l),o(e,Fi,l),o(e,ki,l),o(e,rt,l),o(e,Ni,l),o(e,R,l),h(R,te),h(te,ro),f(nt,ro,null),h(R,cn),h(R,kl),o(e,ji,l),o(e,dt,l),o(e,Si,l),o(e,at,l),o(e,Oi,l),o(e,Ui,l),o(e,Bi,l),o(e,ht,l),o(e,qi,l),o(e,A,l),h(A,le),h(le,no),f(ut,no,null),h(A,pn),h(A,Nl),o(e,Ki,l),o(e,ct,l),o(e,zi,l),o(e,pt,l),o(e,Ii,l),o(e,ft,l),o(e,Ji,l),o(e,Di,l),o(e,Wi,l),o(e,mt,l),o(e,Yi,l),o(e,E,l),h(E,oe),h(oe,ao),f(vt,ao,null),h(E,fn),h(E,jl),o(e,Vi,l),o(e,bt,l),o(e,Gi,l),o(e,_t,l),o(e,Qi,l),o(e,gt,l),o(e,Xi,l),o(e,Zi,l),o(e,es,l),o(e,wt,l),o(e,ts,l),o(e,F,l),h(F,ie),h(ie,ho),f(Tt,ho,null),h(F,mn),h(F,Sl),o(e,ls,l),o(e,yt,l),o(e,os,l),o(e,Pt,l),o(e,is,l),o(e,Ht,l),o(e,ss,l),o(e,rs,l),o(e,ns,l),o(e,$t,l),o(e,ds,l),o(e,k,l),h(k,se),h(se,uo),f(xt,uo,null),h(k,vn),h(k,Ol),o(e,as,l),o(e,Ct,l),o(e,hs,l),o(e,Lt,l),o(e,us,l),o(e,Mt,l),o(e,cs,l),o(e,ps,l),o(e,fs,l),o(e,Rt,l),o(e,ms,l),o(e,N,l),h(N,re),h(re,co),f(At,co,null),h(N,bn),h(N,Ul),o(e,vs,l),o(e,Et,l),o(e,bs,l),o(e,Ft,l),o(e,_s,l),o(e,gs,l),o(e,ws,l),o(e,kt,l),o(e,Ts,l),o(e,j,l),h(j,ne),h(ne,po),f(Nt,po,null),h(j,_n),h(j,Bl),o(e,ys,l),o(e,jt,l),o(e,Ps,l),o(e,St,l),o(e,Hs,l),o(e,$s,l),o(e,xs,l),o(e,Ot,l),o(e,Cs,l),o(e,S,l),h(S,de),h(de,fo),f(Ut,fo,null),h(S,gn),h(S,ql),o(e,Ls,l),o(e,Bt,l),o(e,Ms,l),o(e,qt,l),o(e,Rs,l),o(e,Kt,l),o(e,As,l),o(e,Es,l),o(e,Fs,l),o(e,zt,l),o(e,ks,l),o(e,O,l),h(O,ae),h(ae,mo),f(It,mo,null),h(O,wn),h(O,Kl),o(e,Ns,l),o(e,Jt,l),o(e,js,l),o(e,Dt,l),o(e,Ss,l),o(e,Wt,l),o(e,Os,l),o(e,Us,l),o(e,Bs,l),o(e,Yt,l),o(e,qs,l),o(e,U,l),h(U,he),h(he,vo),f(Vt,vo,null),h(U,Tn),h(U,zl),o(e,Ks,l),o(e,Gt,l),o(e,zs,l),o(e,Qt,l),o(e,Is,l),o(e,Xt,l),o(e,Js,l),o(e,Ds,l),o(e,Ws,l),o(e,Zt,l),o(e,Ys,l),o(e,B,l),h(B,ue),h(ue,bo),f(el,bo,null),h(B,yn),h(B,Il),o(e,Vs,l),o(e,tl,l),o(e,Gs,l),o(e,ll,l),o(e,Qs,l),o(e,ol,l),o(e,Xs,l),o(e,il,l),o(e,Zs,l),o(e,er,l),o(e,tr,l),o(e,sl,l),o(e,lr,l),o(e,q,l),h(q,ce),h(ce,_o),f(rl,_o,null),h(q,Pn),h(q,Jl),o(e,or,l),o(e,nl,l),o(e,ir,l),o(e,dl,l),o(e,sr,l),o(e,rr,l),o(e,nr,l),o(e,al,l),o(e,dr,l),o(e,K,l),h(K,pe),h(pe,go),f(hl,go,null),h(K,Hn),h(K,Dl),o(e,ar,l),o(e,ul,l),o(e,hr,l),o(e,cl,l),o(e,ur,l),o(e,pl,l),o(e,cr,l),o(e,pr,l),o(e,fr,l),o(e,fl,l),o(e,mr,l),o(e,z,l),h(z,fe),h(fe,wo),f(ml,wo,null),h(z,$n),h(z,Wl),o(e,vr,l),o(e,vl,l),o(e,br,l),o(e,bl,l),o(e,_r,l),o(e,_l,l),o(e,gr,l),o(e,wr,l),o(e,Tr,l),o(e,gl,l),o(e,yr,l),o(e,I,l),h(I,me),h(me,To),f(wl,To,null),h(I,xn),h(I,Yl),o(e,Pr,l),o(e,Tl,l),o(e,Hr,l),o(e,yl,l),o(e,$r,l),o(e,Pl,l),o(e,xr,l),o(e,Cr,l),o(e,Lr,l),o(e,yo,l),Mr=!0},p:dh,i(e){Mr||(m(be.$$.fragment,e),m(Te.$$.fragment,e),m(xe.$$.fragment,e),m(Fe.$$.fragment,e),m(je.$$.fragment,e),m(Ue.$$.fragment,e),m(Je.$$.fragment,e),m(Ve.$$.fragment,e),m(Ze.$$.fragment,e),m(ot.$$.fragment,e),m(nt.$$.fragment,e),m(ut.$$.fragment,e),m(vt.$$.fragment,e),m(Tt.$$.fragment,e),m(xt.$$.fragment,e),m(At.$$.fragment,e),m(Nt.$$.fragment,e),m(Ut.$$.fragment,e),m(It.$$.fragment,e),m(Vt.$$.fragment,e),m(el.$$.fragment,e),m(rl.$$.fragment,e),m(hl.$$.fragment,e),m(ml.$$.fragment,e),m(wl.$$.fragment,e),Mr=!0)},o(e){v(be.$$.fragment,e),v(Te.$$.fragment,e),v(xe.$$.fragment,e),v(Fe.$$.fragment,e),v(je.$$.fragment,e),v(Ue.$$.fragment,e),v(Je.$$.fragment,e),v(Ve.$$.fragment,e),v(Ze.$$.fragment,e),v(ot.$$.fragment,e),v(nt.$$.fragment,e),v(ut.$$.fragment,e),v(vt.$$.fragment,e),v(Tt.$$.fragment,e),v(xt.$$.fragment,e),v(At.$$.fragment,e),v(Nt.$$.fragment,e),v(Ut.$$.fragment,e),v(It.$$.fragment,e),v(Vt.$$.fragment,e),v(el.$$.fragment,e),v(rl.$$.fragment,e),v(hl.$$.fragment,e),v(ml.$$.fragment,e),v(wl.$$.fragment,e),Mr=!1},d(e){e&&(t(Po),t(Vl),t(Ho),t(ve),t($o),t(w),t(xo),t(_e),t(Co),t(ge),t(Lo),t(Mo),t(Ro),t(we),t(Ao),t(T),t(Eo),t(ye),t(Fo),t(Pe),t(ko),t(He),t(No),t(jo),t(So),t($e),t(Oo),t(y),t(Uo),t(Ce),t(Bo),t(Le),t(qo),t(Me),t(Ko),t(Re),t(zo),t(Ae),t(Io),t(Jo),t(Do),t(Ee),t(Wo),t(P),t(Yo),t(ke),t(Vo),t(Go),t(Qo),t(Ne),t(Xo),t(H),t(Zo),t(Se),t(ei),t(ti),t(li),t(Oe),t(oi),t($),t(ii),t(Be),t(si),t(qe),t(ri),t(Ke),t(ni),t(ze),t(di),t(ai),t(hi),t(Ie),t(ui),t(x),t(ci),t(De),t(pi),t(We),t(fi),t(mi),t(vi),t(Ye),t(bi),t(C),t(_i),t(Ge),t(gi),t(Qe),t(wi),t(Ti),t(yi),t(Xe),t(Pi),t(L),t(Hi),t(et),t($i),t(tt),t(xi),t(Ci),t(Li),t(lt),t(Mi),t(M),t(Ri),t(it),t(Ai),t(st),t(Ei),t(Fi),t(ki),t(rt),t(Ni),t(R),t(ji),t(dt),t(Si),t(at),t(Oi),t(Ui),t(Bi),t(ht),t(qi),t(A),t(Ki),t(ct),t(zi),t(pt),t(Ii),t(ft),t(Ji),t(Di),t(Wi),t(mt),t(Yi),t(E),t(Vi),t(bt),t(Gi),t(_t),t(Qi),t(gt),t(Xi),t(Zi),t(es),t(wt),t(ts),t(F),t(ls),t(yt),t(os),t(Pt),t(is),t(Ht),t(ss),t(rs),t(ns),t($t),t(ds),t(k),t(as),t(Ct),t(hs),t(Lt),t(us),t(Mt),t(cs),t(ps),t(fs),t(Rt),t(ms),t(N),t(vs),t(Et),t(bs),t(Ft),t(_s),t(gs),t(ws),t(kt),t(Ts),t(j),t(ys),t(jt),t(Ps),t(St),t(Hs),t($s),t(xs),t(Ot),t(Cs),t(S),t(Ls),t(Bt),t(Ms),t(qt),t(Rs),t(Kt),t(As),t(Es),t(Fs),t(zt),t(ks),t(O),t(Ns),t(Jt),t(js),t(Dt),t(Ss),t(Wt),t(Os),t(Us),t(Bs),t(Yt),t(qs),t(U),t(Ks),t(Gt),t(zs),t(Qt),t(Is),t(Xt),t(Js),t(Ds),t(Ws),t(Zt),t(Ys),t(B),t(Vs),t(tl),t(Gs),t(ll),t(Qs),t(ol),t(Xs),t(il),t(Zs),t(er),t(tr),t(sl),t(lr),t(q),t(or),t(nl),t(ir),t(dl),t(sr),t(rr),t(nr),t(al),t(dr),t(K),t(ar),t(ul),t(hr),t(cl),t(ur),t(pl),t(cr),t(pr),t(fr),t(fl),t(mr),t(z),t(vr),t(vl),t(br),t(bl),t(_r),t(_l),t(gr),t(wr),t(Tr),t(gl),t(yr),t(I),t(Pr),t(Tl),t(Hr),t(yl),t($r),t(Pl),t(xr),t(Cr),t(Lr),t(yo)),t(g),b(be),b(Te),b(xe),b(Fe),b(je),b(Ue),b(Je),b(Ve),b(Ze),b(ot),b(nt),b(ut),b(vt),b(Tt),b(xt),b(At),b(Nt),b(Ut),b(It),b(Vt),b(el),b(rl),b(hl),b(ml),b(wl)}}}const fh={local:"utilshub",sections:[{local:"utilshubgetfileurlorpath-codepromiseampltfileresponseresponseampgtcode",title:"`utils/hub.getFile(urlOrPath)` ⇒ <code>Promise.&lt;(FileResponse|Response)&gt;</code>"},{local:"utilshubgetmodelfilepathorrepoid-filename-fatal-options-codepromisecode",sections:[{local:"getmodelfilecachekey-codestringcode",title:"`getModelFile~cacheKey` : <code>string</code>"},{local:"getmodelfileresponse-coderesponsecode-codefileresponsecode-codeundefinedcode",title:"`getModelFile~response` : <code>Response</code> | <code>FileResponse</code> | <code>undefined</code>"}],title:"`utils/hub.getModelFile(path_or_repo_id, filename, [fatal], [options])` ⇒ <code>Promise</code>"},{local:"utilshubgetmodeljsonmodelpath-filename-fatal-options-codepromiseampltobjectampgtcode",title:"`utils/hub.getModelJSON(modelPath, fileName, [fatal], [options])` ⇒ <code>Promise.&lt;Object&gt;</code>"},{local:"utilshubfileresponse",sections:[{local:"new-fileresponsefilepath",title:"`new FileResponse(filePath)`"},{local:"fileresponsecontenttypemap",title:"`fileResponse._CONTENT_TYPE_MAP`"},{local:"fileresponseupdatecontenttype-codevoidcode",title:"`fileResponse.updateContentType()` ⇒ <code>void</code>"},{local:"fileresponseclone-codefileresponsecode",title:"`fileResponse.clone()` ⇒ <code>FileResponse</code>"},{local:"fileresponsearraybuffer-codepromiseampltarraybufferampgtcode",title:"`fileResponse.arrayBuffer()` ⇒ <code>Promise.&lt;ArrayBuffer&gt;</code>"},{local:"fileresponseblob-codepromiseampltblobampgtcode",title:"`fileResponse.blob()` ⇒ <code>Promise.&lt;Blob&gt;</code>"},{local:"fileresponsetext-codepromiseampltstringampgtcode",title:"`fileResponse.text()` ⇒ <code>Promise.&lt;string&gt;</code>"},{local:"fileresponsejson-codepromiseampltobjectampgtcode",title:"`fileResponse.json()` ⇒ <code>Promise.&lt;Object&gt;</code>"}],title:"utils/hub~FileResponse"},{local:"utilshubfilecache",sections:[{local:"new-filecachepath",title:"`new FileCache(path)`"},{local:"filecachematchrequest-codepromiseampltfileresponseundefinedampgtcode",title:"`fileCache.match(request)` ⇒ <code>Promise.&lt;(FileResponse|undefined)&gt;</code>"},{local:"filecacheputrequest-response-codepromiseampltvoidampgtcode",title:"`fileCache.put(request, response)` ⇒ <code>Promise.&lt;void&gt;</code>"}],title:"utils/hub~FileCache"},{local:"utilshubisvalidhttpurlstring-validhosts-codebooleancode",title:"`utils/hub~isValidHttpUrl(string, [validHosts])` ⇒ <code>boolean</code>"},{local:"utilshubhandleerrorstatus-remoteurl-fatal-codenullcode",title:"`utils/hub~handleError(status, remoteURL, fatal)` ⇒ <code>null</code>"},{local:"utilshubtrycachecache-names-codepromiseampltfileresponseresponseundefinedampgtcode",title:"`utils/hub~tryCache(cache, ...names)` ⇒ <code>Promise.&lt;(FileResponse|Response|undefined)&gt;</code>"},{local:"utilshubreadresponseresponse-progresscallback-codepromiseampltuint8arrayampgtcode",title:"`utils/hub~readResponse(response, progress_callback)` ⇒ <code>Promise.&lt;Uint8Array&gt;</code>"},{local:"utilshubpathjoinparts-codestringcode",title:"`utils/hub~pathJoin(...parts)` ⇒ <code>string</code>"},{local:"utilshubpretrainedoptions-codeobjectcode",title:"`utils/hub~PretrainedOptions` : <code>Object</code>"}],title:"utils/hub"};function mh(Cn){return ah(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class gh extends hh{constructor(g){super(),uh(this,g,mh,ph,nh,{})}}export{gh as component};
